#------------------------------------------------------------------------
# Compiler configuration
#------------------------------------------------------------------------
#........................................................................
# GNU Compiler 
#........................................................................
ifeq "$(CC)" "gcc"
CFLAGS_FATAL_WARNINGS=-Werror
CFLAGS_PEDANTIC=-pedantic -Wno-long-long
endif
ifeq "$(CXX)" "g++"
CXXFLAGS_FATAL_WARNINGS=-Werror
CXXFLAGS_PEDANTIC=-pedantic -Wno-long-long
endif

#........................................................................
# Sun Studio Compiler Suite
#........................................................................
#$(LDAS_CC_SUNPRO_TRUE)CFLAGS_FATAL_WARNINGS=-errwarn=%all -errtags
#$(LDAS_CXX_SUNPRO_TRUE)CXXFLAGS_FATAL_WARNINGS=-errwarn=%all,no%inllargeuse

#------------------------------------------------------------------------
# Fatal Warnings
#------------------------------------------------------------------------
ifneq "$(FATAL_WARNINGS)" "no"
ifdef CFLAGS
AM_CFLAGS+=$(CFLAGS_FATAL_WARNINGS)
endif
ifdef CXXFLAGS
AM_CXXFLAGS+=$(CXXFLAGS_FATAL_WARNINGS)
endif
endif

#------------------------------------------------------------------------
# Pedantic
#------------------------------------------------------------------------
ifneq "$(PEDANTIC)" "no"
ifdef CFLAGS
AM_CFLAGS+=$(CFLAGS_PEDANTIC)
endif
ifdef CXXFLAGS
AM_CXXFLAGS+=$(CXXFLAGS_PEDANTIC)
endif
endif

#------------------------------------------------------------------------
# Special variables
#------------------------------------------------------------------------
CFLAGS_NON_FATAL_WARNINGS:=$(patsubst $(CFLAGS_FATAL_WARNINGS),,$(AM_CFLAGS))
CXXFLAGS_NON_FATAL_WARNINGS:=$(patsubst $(CXXFLAGS_FATAL_WARNINGS),,$(AM_CXXFLAGS))
